summaryrefslogtreecommitdiffstats
path: root/installer/pkg-generator/DEBIAN/postinst
diff options
context:
space:
mode:
authorFredy <aluque@soleta.eu>2018-06-14 10:13:52 +0200
committerFredy <aluque@soleta.eu>2018-06-14 10:13:52 +0200
commit6b84365868ca16c05abcbba06b69e60f25b8265d (patch)
treef05fb0918312851276c5e6c746f23163f6c9bf39 /installer/pkg-generator/DEBIAN/postinst
parentc4c8db14c350b04597ad8281cbed79cdd4f9e819 (diff)
#837 Check if OpenGnsys is already installed
Diffstat (limited to 'installer/pkg-generator/DEBIAN/postinst')
-rwxr-xr-xinstaller/pkg-generator/DEBIAN/postinst9
1 files changed, 9 insertions, 0 deletions
diff --git a/installer/pkg-generator/DEBIAN/postinst b/installer/pkg-generator/DEBIAN/postinst
index 0c5723df..03b747b7 100755
--- a/installer/pkg-generator/DEBIAN/postinst
+++ b/installer/pkg-generator/DEBIAN/postinst
@@ -1265,6 +1265,15 @@ if [ "$RET" = "true" ]; then
exit 0
fi
+FILE=/opt/opengnsys/doc/VERSION.txt
+if [ -f $FILE ]; then
+ echo "File $FILE exists. This could mean that OpenGnsys has been previously"
+ echo "installed using the installer script. This apt package is not suitable"
+ echo "for upgrading and may break the system"
+ echo "Terminating!"
+ exit 1
+fi
+
echoAndLog "OpenGnsys installation begins at $(date)"
pushd $WORKDIR